<?php

namespace App\Http\Requests;
use Illuminate\Foundation\Http\FormRequest;
use App\Rules\FilterStringRule;
use Illuminate\Http\Request;

class UpdatePlanRequest extends FormRequest
{
    /**
     * Determine if the user is authorized to make this request.
     *
     * @return bool
     */

    public function authorize()
    {
        return true;
    }

    /**
     * Get the validation rules that apply to the request.
     *
     * @return array
     */
    public function rules()
    {
        return [
            //'session_id'=>['integer','not_in:0','min:1'],
            //'serial_number'=>['required','integer','not_in:0','min:1'],
            //'age'=>['required'],
          //  'gender'=>['required','integer'],
           // 'problem'=>['required','integer'],
           // 'diagnostic'=>['required'],
           // 'therap_evaluation'=>['required'],
         //  'therapeutic_intervention'=>['required'],
         // 'homework'=>['required','string'],
//            'transfer'=>['integer'],
//            'current_status'=>['integer'],
         //  'problem_description'=>['required','string'],
        // 'long_term'=>['required','string'],
        //  'short_term'=>['required','string'],
//            'last_visit'=>['date',new FilterStringRule], //before:today
        ];
    }

    public function messages()
    {
        return [
            'serial_number.required'=>trans('home.plan-required'),
            'serial_number.integer'=>trans('home.plan-integer'),
            'serial_number.not_in'=>trans('home.plan-choose-option'),
            'serial_number.min'=>trans('home.plan-must-positive'),
            'age.required'=>trans('home.plan-required'),
            'age.integer'=>trans('home.plan-integer'),
            'age.not_in'=>trans('home.plan-choose-option'),
            'age.min'=>trans('home.plan-must-positive'),
            'gender.required'=>trans('home.plan-required'),
            'gender.integer'=>trans('home.plan-integer'),
            'gender.not_in'=>trans('home.plan-choose-option'),
            'problem.required'=>trans('home.plan-required'),
            'problem.integer'=>trans('home.plan-integer'),
            'problem.not_in'=>trans('home.plan-choose-option'),
            'diagnostic.required'=>trans('home.plan-required'),
            'diagnostic.integer'=>trans('home.plan-integer'),
            'diagnostic.not_in'=>trans('home.plan-choose-option'),
            'therap_evaluation.required'=>trans('home.plan-required'),
            'therap_evaluation.integer'=>trans('home.plan-integer'),
            'therap_evaluation.not_in'=>trans('home.plan-choose-option'),
            'therapeutic_intervention.required'=>trans('home.plan-required'),
            'therapeutic_intervention.integer'=>trans('home.plan-integer'),
            'therapeutic_intervention.not_in'=>trans('home.plan-choose-option'),
            'transfer.required'=>trans('home.plan-required'),
            'transfer.integer'=>trans('home.plan-integer'),
            'transfer.not_in'=>trans('home.plan-choose-option'),
            'current_status.required'=>trans('home.plan-required'),
            'current_status.integer'=>trans('home.plan-integer'),
            'current_status.not_in'=>trans('home.plan-choose-option'),
            'last_visit.date'=>trans('home.date'),
//            'last_visit.before'=>trans('home.before'),
            'homework.required'=>trans('home.plan-required')
        ];
    }
}
