<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateSessionsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('sessions', function (Blueprint $table) {
            $table->id();
            $table->foreignId('therapist_id');
            $table->foreignId('visitor_id')->nullable();
            $table->enum('type',array('30','60'))->index();
            $table->timestamp('start_time')->nullable();
            $table->integer('status')->index()->default(0);
            $table->integer('rating')->index()->default(0);
            $table->timestamps();

            
            $table->foreign('therapist_id')
                ->references('id')
                ->on('therapists')
                ->onDelete('cascade');

            /*$table->foreign('visitor_id')
                ->references('id')
                ->on('visitors')
                ->onDelete('cascade');*/
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('sessions');
    }
}
