@extends('layouts.site')

@section('content')

<style type="text/css">
     .myBtn
    {
        font-size: 25px !important;
        padding: 8px 3px;
        margin: 25px 2px;
        color: #c26aff;
        font-weight: 700;
            background: none;
    }
    .myBtn:hover
    {
        color: #c26aff;
    }

    [data-title]:hover:after {
    opacity: 1;
    transition: all 0.1s ease 0.5s;
    visibility: visible;
}
[data-title]:after {
    content: attr(data-title);
    background-color: #181818;
    color: #f9f9f9;
    font-size: 12px;
    position: absolute;
    padding: 1px 5px 2px 5px;
    top: -17px;
    left: -10px;
    white-space: nowrap;
    box-shadow: 1px 1px 3px #222222;
    opacity: 0;
    border: 1px solid #111111;
    z-index: 99999;
    visibility: hidden;
}
[data-title] {
    position: relative;
}
.fa-plus
{
        background: #e7e7e7;
    padding: 5px;
    border-radius: 50%;
    color: #c26aff;
}

</style>

    <section>
        <div class="lgx-banner lgx-banner-inner">
            <div class="lgx-inner-bg">
                <div class="lgx-inner">
                    <div class="container bartopline">
                        <div class="row">
                            <div class="col-xl-12">
                                <div class="lgx-heading-area mt-5">
                                    <ul class="breadcrumb">
                                        @if(config('app.locale') == "en")
                                            <li class="active">{{trans('home.medical-plan') }}</li>
                                             <li><a href="{{ route('index') }}"><i class="icon-home6"></i>{{trans('home.home')}}</a></li>
                                            @else
                                            <li><a href="{{ route('index') }}"><i class="icon-home6"></i>{{trans('home.home')}}</a></li>
                                            <li class="active">{{trans('home.medical-plan') }}</li>
                                        @endif
                                    </ul>
                                </div>
                            </div>
                        </div><!--//.ROW-->
                    </div><!-- //.CONTAINER -->
                </div><!-- //.INNER -->
            </div>
        </div>
    </section>

    <div class="mt-5 mb-5">
        <div class="container">
            <div class="row">
                <div class="col-md-3">
                    <div class="boxing bg-white border row ml-2 mx-3">
                        <div class="col-md-12 float-right pt-5 text-center">
                            <img src="{{asset('avatars/visitors/pp.svg')}}" class="rounded-circle card-img-top shadow" style="width: 150px; height: 150px;" />
                            <h4 class="mt-5 colorsite">{{$userData->name}}</h4>
                            <div>
                                <label> {{ trans('home.sessions-count') }} : {{ \App\Sessions::with('visitor')->where('visitor_id',$userData->visitor->id)->count()}}</label>
                            </div>
                        </div>
                    </div>

                    <div class="mt-5 row clearfix text-center ml-2">
                        <div class="col-6 mb-4">
                            <a href="{{route('getPlan')}}">
                                <i class="fas fa-play"></i><br />
                                {{ trans('auth.medical_plans') }}
                            </a>
                        </div>
                    </div>

                </div>

                <div class="col-md-9 boxing bg-white">
                    @if (session()->has('success'))
                        <div class="alert alert-dismissable alert-success">
                            <button type="button" class="close" data-dismiss="alert" aria-label="Close">
                                <span aria-hidden="true">&times;</span>
                            </button>
                            <strong class="mx-3">
                                {!! session()->get('success') !!}
                            </strong>
                        </div>
                    @endif

                    @if(Session::has('status'))
                            <p class="alert alert-success alert-dismissible fade show mt-2 text-center" role="alert">{{ Session::get('status') }}
                                <button type="button" class="close text-center" data-dismiss="alert" aria-label="Close">
                                    <span aria-hidden="true">&times;</span>
                                </button>
                            </p>
                     @endif
                    <div class="mr1">
                        <h3 class="mt-5 colorsite font-weight-bold"> {{trans('home.medical-plan') }} </h3>
                    </div>

                    <div class="row p-5">
                        <span class="message"></span>
                        <div class="col-md-12 boxing bg-white">
                            <div class="table-responsive mt-5">
                                <table class="table table-striped table-bordered table-hover dt-responsive" width="100%" id="client_table">
                                    <thead>
                                    <tr class="text-center bg-blue table-row">
                                        <th>#</th>
                                        <th> {{trans('home.therapist-name')}} </th>
                                        <th> {{trans('home.first-session')}}</th>
                                        <th>  {{trans('home.last-session')}} </th>
                                        <th> {{trans('home.action')}}  </th>
                                        <!-- <th> {{trans('home.status')}} </th> -->
                                        <!-- <th> {{trans('home.therapist-contact')}}  </th> -->
                                    </tr>
                                    </thead>
                                    <tbody>
                                    <?php $x=1;?>
                                    @foreach($clientSessions  as $client_session)

                                        <tr class="text-center text-black">
                                            <td> {{$client_session->id}} </td>
                                            <td> {{  config('app.locale') == "ar" ?  \App\Therapist::findOrFail($client_session->therapist_id)->name_a : \App\Therapist::findOrFail($client_session->therapist_id)->name_e }} </td>
                                            <td> <span style="color:#00bacf" class="mx-3"> {{ date('Y-m-d h:i A',strtotime($client_session->start_time)) }} </span> <br/> <span >  {{ $client_session->type  }} {{ trans('home.minutes') }} </span></td>
                                            <td> <span style="color:#00bacf" class="mx-3"> {{ date('Y-m-d h:i A',strtotime(\App\Sessions::latest()->where(['therapist_id'=>$client_session->therapist_id,'visitor_id'=>$client_session->visitor_id])->first()->start_time)) }} </span> <br/> <span >  {{ \App\Sessions::latest()->where(['therapist_id'=>$client_session->therapist_id,'visitor_id'=>$client_session->visitor_id])->first()->type }} {{ trans('home.minutes') }} </span></td>
                                            <td>

                                                @if( \App\TreatmentPlan::where(['therapist_id'=>$client_session->therapist_id,'visitor_id'=>$client_session->visitor_id])->count() > 0 )
                                                    <a href="{{route('get-client-send-message',$client_session)}}" class="myBtn" data-title="{{trans('home.send-message')}}">   <i class="fa fa-sms"></i></a>
                                                @endif


                                                @if( \App\TreatmentPlan::where(['therapist_id'=>$client_session->therapist_id,'visitor_id'=>$client_session->visitor_id])->count() > 0 )
                                                    <a data-title="{{trans('home.view-detail')}}"  href="{{ route('client-view-plan',$client_session) }}" class="myBtn"> <i class="fa fa-eye"></i> </a>

                                                    <button  onclick="generatePDF({{ $client_session->id }})" class="myBtn">   <i class="fa fa-file-pdf" ></i></button>

                                                    @include('auth.download_report')

                                                @endif


                                                

                                            </td>
                                            <!-- <td>
                                                @if( \App\TreatmentPlan::where(['therapist_id'=>$client_session->therapist_id,'visitor_id'=>$client_session->visitor_id,'session_id'=>$client_session->id])->count() > 0 )
                                                      @if(\App\TreatmentPlan::where(['therapist_id'=>$client_session->therapist_id,'visitor_id'=>$client_session->visitor_id,'session_id'=>$client_session->id])->first()->agreement_client == 1)
                                                        <i class="fa fa-check mt-5" aria-hidden="true"></i>
                                                    @else
                                                        <input data-id="{{ $client_session->id }}"  type="checkbox"  name="client_agreement"   class="client_agreement"  id="checkbox-{{ $client_session->id }}">
                                                    @endif
                                                @endif
                                            </td> -->
                                           
                                        </tr>

                                        <?php $x++;?>
                                    @endforeach
                                    </tbody>
                                </table>
                            </div>
                        </div>

                    </div> <!-- row -->


                </div>
            </div>
        </div>
    </div>
@endsection

<script src="{{asset('js/jquery-3.5.1.min.js')}}" type="text/javascript"></script>
<script type="text/javascript">
    $(document).ready( function () {
        $('#client_table').DataTable({
            responsive: true
        });
    } );
</script>
<script>
    $(document).on('change', '.client_agreement', function () {
        token = '{{ csrf_token() }}';
        var id = $(this).attr('data-id');
        $.ajax({
                type: "POST",
                url: "{{route('agreement-client-plan')}}",
                data: {"agreement_client": 1,"id": id,_token:token},
                success: function (msg) {
                    console.log(msg)
                    $('.message').append('<div class="alert dark alert-success alert-dismissible" role="alert"><button type="button" class="close" data-dismiss="alert" aria-label="Close"><span aria-hidden="true">×</span> </button><b>'+msg+'</b></div>');
                    location.reload();
                }
        });
    });
</script>


@push('downloadPDF')

<script src="{{ asset('assets/html2pdf.bundle.min.js') }}"></script>

    <script>
      function generatePDF(id) {
        $("#logo").css('display', 'block');

         var pdf1 = $(".client_name_pdf").attr('data-id');
        var pdf2 = $(".age_pdf").attr('data-id');
        var pdf3 = $(".gender_pdf").attr('data-id');
        var pdf4 = $(".problem_pdf").attr('data-id');
        var pdf5 = $(".problem_description").attr('data-id');
        var pdf6 = $(".diagnostic_pdf").attr('data-id');
        var pdf7 = $(".therap_evaluation_pdf").attr('data-id');
        var pdf8 = $(".table_pdf").attr('data-id');
        var pdf9 = $(".long_term_pdf").attr('data-id');
        var pdf10 = $(".short_term_pdf").attr('data-id');
        var pdf11 = $(".therapeutic_intervention_pdf").attr('data-id');
        var pdf12 = $(".transfer_pdf").attr('data-id');
        var pdf13 = $(".current_status_pdf").attr('data-id');
        var pdf14 = $(".last_visit_pdf").attr('data-id');
        var pdf15 = $(".homework_pdf").attr('data-id');

        if(pdf1 == '0')
        {
           $(".client_name_pdf").parent().css('display', 'none');
        }
        if(pdf2 == '0')
        {
           $(".age_pdf").parent().css('display', 'none');
        }
        if(pdf3 == '0')
        {
           $(".gender_pdf").parent().css('display', 'none');
        }
        if(pdf4 == '0')
        {
           $(".problem_pdf").parent().css('display', 'none');
        }

        if(pdf5 == '0')
        {
           $(".problem_description").parent().css('display', 'none');
        }
        if(pdf6 == '0')
        {
           $(".diagnostic_pdf").parent().css('display', 'none');
        }
        if(pdf7 == '0')
        {
           $(".therap_evaluation_pdf").parent().css('display', 'none');
        }
        if(pdf8 == '0')
        {
           $(".table_pdf").parent().css('display', 'none');
        }

        if(pdf9 == '0')
        {
           $(".long_term_pdf").parent().css('display', 'none');
        }
        if(pdf10 == '0')
        {
           $(".short_term_pdf").parent().css('display', 'none');
        }
        if(pdf11 == '0')
        {
           $(".therapeutic_intervention_pdf").parent().css('display', 'none');
        }
         if(pdf12 == '0')
        {
           $(".transfer_pdf").parent().css('display', 'none');
        }
         if(pdf13 == '0')
        {
           $(".current_status_pdf").parent().css('display', 'none');
        }
         if(pdf14 == '0')
        {
           $(".last_visit_pdf").parent().css('display', 'none');
        }
        if(pdf15 == '0')
        {
           $(".homework_pdf").parent().css('display', 'none');
        }



         $("#report_title").text(' تقرير الخطه العلاجية ');
        // Choose the element that our report_PDF is rendered in.
        const element = document.getElementById("report_PDF_from_table_"+id);
        // Choose the element and save the PDF for our user.
        html2pdf()
          .from(element)
          .save();
      }
    </script>

@endpush
