<!doctype html>
<html lang="{{ str_replace('_', '-', app()->getLocale()) }}">
<head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">

    <!-- CSRF Token -->
    <meta name="csrf-token" content="{{ csrf_token() }}">
    <title>{{ config('app.name', 'laravel') }}</title>

    <!-- Fonts -->
    <link rel="dns-prefetch" href="//fonts.gstatic.com">
    <link href="https://fonts.googleapis.com/css?family=Nunito" rel="stylesheet">

    <!-- Styles -->
    <link href="{{asset('css/fontawesome-free-5.14.0-web/css/all.css')}}" rel="stylesheet">
    <link href="{{asset('css/bootstrap-4.5.0/bootstrap.min.css')}}" rel="stylesheet">
    <link href="{{asset('css/bootstrap-datepicker3.min.css')}}" rel="stylesheet">
    <link href="{{asset('css/extra.css')}}" rel="stylesheet">

    <!-- Scripts -->
    <script src="{{asset('js/jquery-3.5.1.min.js')}}" type="text/javascript"></script>
    <script src="{{asset('js/jquery-ui.min.js')}}" type="text/javascript"></script>
    <script src="{{asset('js/bootstrap.min.js')}}" type="text/javascript"></script>
    <script src="{{asset('js/datepicker/bootstrap-datepicker.min.js')}}" type="text/javascript"></script>
    <script src="{{asset('js/datepicker/bootstrap-datepicker.en-CA.min.js')}}" type="text/javascript"></script>
    <script src="{{asset('js/extra.js')}}" type="text/javascript"></script>
</head>
<body>

<!-- Freequently Asked Questions section -->
<div class="xs-section-padding">
    <div class="row xs-faq-group">
        <div class="col-md-12">
            <div class="xs-single-faq" style="padding: 200px 10px 33px 10px;/*! color: #ff2e8a; */">
                <div style="text-align: center">
                    <img class="regimage" src="{{ asset('assets/img/logo.png')}}" alt="verify">
                </div>

                <div style="padding: 50px 100px;">
                    <p>New Doctor Has registered on the site his data is:</p>
                    <p><span>Name AR:</span> {{ $therapist->name_a }}</p>
                    <p><span>Name En:</span> {{ $therapist->name_e }}</p>
                    <p><span>Gender:</span> {{ $therapist->gender }}</p>
                    @if($therapist->country)
                        <p><span>Country:</span> {{ $therapist->country->title_ar }}</p>
                    @endif
                    <p><span>license no:</span> {{ $therapist->license_no }}</p>
                    <p><span>years:</span> {{ $therapist->years }}</p>
                    <p><span>birth:</span> {{ $therapist->birth }}</p>
                    @if($therapist->languages)
                        <p><span>language:</span> @foreach($therapist->languages as $language)<span>{{ $language->title_en }}</span>@endforeach</p>
                    @endif
                    @if($therapist->specialties)
                        <p><span>speciality:</span> @foreach($therapist->specialties as $specialty)<span class="label label-info">{{ $specialty->title_en }}</span>@endforeach</p>
                    @endif
                    @if($therapist->picture)
                        <p><span>Picture:</span> <a href="{{ asset('avatars/therapists/'.$therapist->picture) }}" download>Download</a></p>
                    @endif
                    @if($therapist->resume)
                        <p><span>resume:</span> <a href="{{ asset('resumes/'.$therapist->resume) }}" download>Download</a></p>
                    @endif
                    @if($therapist->licence)
                        <p><span>Licences:</span> <a href="{{ asset('licences/'.$therapist->licence) }}" download>Download</a></p>
                    @endif
                    @if($therapist->zip_certificates)
                        <p><span>Certificates:</span> <a href="{{ asset('certificates/'.$therapist->zip_certificates) }}" download>Download</a></p>
                    @endif
                </div>

            </div><!-- .xs-single-faq END -->

        </div>
    </div><!-- .row END -->
</div><!-- end Freequently Asked Questions section -->


</body>
</html>
