<style type="text/css">
    .card.none 
    {
        height: 100%;
        padding: 60px 0;
        background: #f3f3f3;
        border: none;
    }
    .owl-carousel.slider .owl-item
    {
        float: right;
    }
    .owl-nav
    {
        display: inherit;
    }
    .owl-nav button 
    {
        background: none;
        position: absolute;
        top: 32%;
        font-size: 62px;
    }
    .owl-nav .owl-prev
    {
        left: -23px;
    }
    .owl-nav .owl-next
    {
        right: -23px;
    }
    .owl-dots
    {
        display: none;
    }
    .fa-star 
    {
        color: #ffca52;
    }
    .fa-star-half
    {
        transform: rotate(180deg);
        color: #ffca52;
    }
</style>

<a class="mr-3 mt-3 text-secondary" href="#" onclick="return closereservation();">
    <h3><i class="fas fa-times-circle"></i></h3>
</a>
<div class="rounded-0 mt-5">
    <div>
        <div class="col-md-4 float-right">
            @if(!empty($data->picture))
             <img src="{{asset('avatars/therapists/'.$data->picture)}}" class="rounded-circle card-img-top shadow" style="width: 100%; height: auto;" />
            @else
                <img src="{{asset('avatars/therapists/default_avatar.png')}}" class="rounded-circle card-img-top shadow" style="width: 100%; height: auto;" />
            @endif
        </div>
        <div class="col-md-8 float-left text-center">
            <div class="mr1">
                <h5> {{ config('app.locale') == "en" ?  $data->name_e : $data->name_a }} </h5>
                <p class="mt-3">
                    {{config('app.locale') == "en" ? $data->main_specialty_en : $data->main_specialty_ar}}
                </p>
                <div>
@php $avg_rating = \DB::table('reviews')->where('therapist_id', $data->id)->avg('rating'); @endphp
                      <?php

                            $reviews = [
                                (object)['rate' => round($avg_rating,1)],
                            ];
                            foreach ($reviews as $review) {
                                for ($i = 0; $i <= 5; ++$i) {
                                    echo '<i class="fa fa-star' ,
                                        ($review->rate == $i + .1 ? '-half' : '') ,
                                        ($review->rate == $i + .2 ? '-half' : '') ,
                                        ($review->rate == $i + .3 ? '-half' : '') ,
                                        ($review->rate == $i + .4 ? '-half' : '') ,
                                        ($review->rate == $i + .5 ? '-half' : '') ,
                                        ($review->rate == $i + .6 ? '-half' : '') ,
                                        ($review->rate == $i + .7 ? '-half' : '') ,
                                        ($review->rate == $i + .8 ? '-half' : '') ,
                                        ($review->rate == $i + .9 ? '-half' : '') ,
                                        ($review->rate <= $i ? '-o' : '') ,
                                        '" aria-hidden="true"></i>';
                                    echo "\n";
                                }
                                echo "\n";
                            }

                        ?>
                        <br>
                        <label>(@lang('home.Evaluation') {{ round($avg_rating,1) }} )</label>

                            


                </div>
            </div>

                <div class="mr1">
                    <div>
                        <label class="font-weight-bold">{{trans('home.lang')}} :</label>
                        <label>
                            @if(!empty($languages ))
                                @foreach ($languages as $language)
                                    {{ config('app.locale') == "en" ? $language->title_en : $language->title_ar  }}
                                @endforeach
                            @endif
                        </label>
                    </div>
                    <div>
                        <label class="font-weight-bold">{{trans('home.residence-country')}} :</label>
                        <label>
                            {{  config('app.locale') == "en" ? $data->country->title_en : $data->country->title_ar}}
                        </label>
                    </div>
                    <div>
                        <label class="font-weight-bold">{{trans('home.join-date')}} :</label>
                        <label>
                            {{ date('Y-m-d',strtotime($data->created_at)) }}

                        </label>
                    </div>
                    <div>
                        <i class="fas fa-money-bill-alt text-success"></i>
                        @if($location&&$location->countryName=='Egypt')
                        @lang('home.EGP') {{$data->price30}}/ 30 @lang('home.minutes')
                        -
                        @lang('home.EGP') {{$data->price60}}/ 60 @lang('home.minutes')
                        @else
                            $ {{$data->thirty_price_dollar}}/ 30 @lang('home.minutes')
                            -
                            $ {{$data->sixty_price_dollar}}/ 60 @lang('home.minutes')
                        @endif
                    </div>

                </div>
        </div>
        <div class="clearfix"></div>
        <div class="clearfix" style="height: 20px;"></div>
        <div class="clearfix"></div>
        <div id="therapist-times" style="margin: 0 15px">
            <div class="d-flex justify-content-between fz14">
                <span class="fbold">@lang('home.Please choose an appointment')</span>
                <span class="text-right">
                </span>
            </div>
            @include('therapists.include.slider')
        </div>
    </div>
</div>
